program c2datetst;

%include clunk.typ;

type
  dec_date	= packed array [1..9] of char;
  dec_time	= packed array [1..8] of char;

var
  value1	: clunk_type;
  ascii_date	: dec_date;
  ascii_time	: dec_time;
  ids : integer;

%include c2date.ext;

begin
  write('Enter clunk[1..4]:');
  readln(value1[1],value1[2],value1[3],value1[4]);  
  
  c2date(value1,ascii_date,ascii_time,ids);

  writeln('ids:',ids);
  writeln('Value :',value1[1],value1[2],value1[3],value1[4]);
  writeln('Date  :',ascii_date);
  writeln('Time  :',ascii_time);

end.
